Skip to main content
GET
/
organizations
/
{organization_id}
/
tickets
/
{ticket_id}
/
messages
List ticket messages
curl --request GET \
  --url https://api.example.com/organizations/{organization_id}/tickets/{ticket_id}/messages/ \
  --header 'X-Initdesk-Token: <api-key>'
{
  "count": 123,
  "results": [
    {
      "id": 123,
      "author": {
        "id": 123,
        "email": "jsmith@example.com",
        "name": "<string>"
      },
      "sender": {
        "email": "jsmith@example.com",
        "name": "<string>",
        "user_id": 123
      },
      "next_assignee": {
        "id": 123,
        "email": "jsmith@example.com",
        "name": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "attachments": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "download_url": "<string>"
        }
      ],
      "content": "<string>",
      "content_html": "<string>",
      "is_visible_to_customer": true,
      "external_recipient_emails": [
        "jsmith@example.com"
      ]
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Documentation Index

Fetch the complete documentation index at: https://developers.initdesk.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Initdesk-Token
string
header
required

Path Parameters

ticket_id
string
required
organization_id
string
required

Query Parameters

ordering
string

Which field to use when ordering the results.

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"